import 'package:ernaehrung/android/components/meal_page_food_component.dart';
import 'package:ernaehrung/android/components/meal_page_text/days_component.dart';
import 'package:ernaehrung/android/components/meal_page_text/statistics_today_component.dart';
import 'package:flutter/material.dart';

class MealPlanPage extends StatefulWidget {
  final String title;
  final Color backgroundColor = const Color(0xff47a44b);

  const MealPlanPage({Key? key, required this.title}) : super(key: key);

  String get getTitle => title;

  @override
  String toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) {
    return getTitle;
  }

  @override
  State<StatefulWidget> createState() => _MealPlanState();
}

class _MealPlanState extends State<MealPlanPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: SizedBox(
            width: double.infinity,
            height: double.infinity,
            child: SingleChildScrollView(
              child: Column(
                children: [
                  Container(
                    decoration: const BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.all(Radius.circular(8))),
                    child: Padding(
                      padding: const EdgeInsets.symmetric(
                          vertical: 8, horizontal: 16),
                      child: Column(
                        children: const [
                          DaysMealPageComponent(),
                          StatisticsPercentage(),
                        ],
                      ),
                    ),
                  ),
                  const MealPageStatisticsFoodComponent(),
                ],
              ),
            )));
  }
}
